[Bedework-commit] bedework r1943 - in trunk/build: . quickstart
quickstart/linux quickstart/windows
svnadmin at bedework.org
svnadmin at bedework.org
Sun Nov 2 21:31:00 EST 2008
Author: douglm
Date: 2008-11-02 21:30:43 -0500 (Sun, 02 Nov 2008)
New Revision: 1943
Added:
trunk/build/quickstart/linux/
trunk/build/quickstart/linux/addgroup
trunk/build/quickstart/linux/addgroupmember
trunk/build/quickstart/linux/adduser
trunk/build/quickstart/linux/bw
trunk/build/quickstart/linux/initdir
trunk/build/quickstart/windows/
trunk/build/quickstart/windows/bw.bat
Removed:
trunk/build/bw
trunk/build/bw.bat
trunk/build/quickstart/addgroup
trunk/build/quickstart/addgroupmember
trunk/build/quickstart/adduser
trunk/build/quickstart/initdir
Log:
move scripts
Deleted: trunk/build/bw
===================================================================
--- trunk/build/bw 2008-10-30 21:24:43 UTC (rev 1942)
+++ trunk/build/bw 2008-11-03 02:30:43 UTC (rev 1943)
@@ -1,129 +0,0 @@
-#! /bin/sh
-
-#
-# This file is included by the quickstart script file "bw" so that it can live
-# within the svn repository.
-#
-
-ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
-ANT_HOME=`cd "$ANT_HOME" && pwd`
-
-echo ""
-echo ""
-echo " Bedework Calendar System"
-echo " ------------------------"
-echo ""
-
-PRG="$0"
-
-usage() {
- echo " $PRG [ -quickstart | -bwchome path ] [ -bwc configname ] [ -offline } [ target ] "
- echo ""
- echo " -quickstart Use the current quickstart configurations "
- echo " -bwchome Specify path to configurations"
- echo " -bwc Specify configuration name"
- echo " -offline Build without atempting to retrieve library jars"
- echo " target Ant target to execute"
- echo ""
- echo " Invokes ant to build or deploy the bedework system. Uses a configuration"
- echo " directory which contains one directory per configuration."
- echo ""
- echo " Within each configuration directory we expect a file called build.properties"
- echo " which should point to the property and options file needed for the deploy process"
- echo ""
- echo " In general these files will be in the same directory as build.properties."
- echo " The environment variable BEDEWORK_CONFIG contains the path to the current"
- echo " configuration directory and can be used to build a path to the other files."
- echo ""
-}
-
-saveddir=`pwd`
-
-export QUICKSTART_HOME=$saveddir
-
-# Default some parameters
-
-BWCONFIGS=
-bwc=default
-BWCONFIG=
-offline=
-quickstart=
-
-while [ "$1" != "" ]
-do
- # Process the next arg
- case $1 # Look at $1
- in
- -bwchome) # Define location of configs
- shift
- BWCONFIGS="$1"
- shift
- ;;
- -quickstart)
- quickstart="yes"
- shift
- ;;
- -usage | -help | -? | ?)
- usage
- exit
- shift
- ;;
- -bwc)
- shift
- bwc="$1"
- shift
- ;;
- -offline)
- offline="-Dorg.bedework.offline.build=yes"
- shift
- ;;
- -*)
- usage
- exit 1
- ;;
- *)
- # Assume we've reached the target(s)
- break
- ;;
- esac
-done
-
-if [ "$quickstart" != "" ] ; then
- if [ "$BWCONFIGS" != "" ] ; then
- echo "*******************************************************"
- echo "Error: Cannot specify both -quickstart and -bwchome"
- echo "*******************************************************"
- exit 1
- fi
-
- BWCONFIGS=$QUICKSTART_HOME/bedework/config/bwbuild
-elif [ "$BWCONFIGS" = "" ] ; then
- BWCONFIGS=$HOME/bwbuild
-fi
-
-export BEDEWORK_CONFIGS_HOME=$BWCONFIGS
-export BEDEWORK_CONFIG=$BWCONFIGS/$bwc
-
-if [ ! -f "$BEDEWORK_CONFIG/build.properties" ] ; then
- echo "*******************************************************"
- echo "Error: Configuration $BEDEWORK_CONFIG does not exist or is not a bedework configuration."
- echo "*******************************************************"
- exit 1
-fi
-
-if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
- echo "*******************************************************"
- echo "Error: JAVA_HOME is not defined correctly for bedework."
- echo "*******************************************************"
- exit 1
-fi
-
-# Make available for ant
-export BWCONFIG="-Dorg.bedework.user.build.properties=$BEDEWORK_CONFIG/build.properties"
-
-echo "BWCONFIGS=$BWCONFIGS"
-echo "BWCONFIG=$BWCONFIG"
-
-CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
-
-$JAVA_HOME/bin/java -classpath $CLASSPATH $offline -Dant.home=$ANT org.apache.tools.ant.launch.Launcher $BWCONFIG $*
Deleted: trunk/build/bw.bat
===================================================================
--- trunk/build/bw.bat 2008-10-30 21:24:43 UTC (rev 1942)
+++ trunk/build/bw.bat 2008-11-03 02:30:43 UTC (rev 1943)
@@ -1,138 +0,0 @@
-:: This file is included by the quickstart script file "..\..\bw.bat" so that
-:: we may keep this script under version control in the svn repository.
-
- at ECHO off
-SETLOCAL
-
-ECHO.
-ECHO.
-ECHO Bedework Calendar System
-ECHO ------------------------
-ECHO.
-
-
-SET PRG=%0
-SET saveddir=%CD%
-SET QUICKSTART_HOME=%saveddir%
-
-:: Default some parameters
-SET BWCONFIGS=
-SET bwc=default
-SET BWCONFIG=
-SET offline=
-SET quickstart=
-
-:: check for command-line arguments and branch on them
-IF "%1noargs" == "noargs" GOTO usage
-GOTO branch
-
-:quickstart
- ECHO Preparing quickstart build ...
- SET quickstart="yes"
- SHIFT
- GOTO branch
-
-:bwchome
- :: Define location of configs
- SHIFT
- SET BWCONFIGS=%1
- SHIFT
- GOTO branch
-
-:bwc
- SHIFT
- SET bwc=%1
- SHIFT
- GOTO branch
-
-:offline
- ECHO Setting to offline mode; libraries will not be downloaded ...
- SET offline="-Dorg.bedework.offline.build=yes"
- SHIFT
- GOTO branch
-
-:doneWithArgs
-
-IF NOT "%quickstart%empty" == "empty" GOTO checkBwConfig
-IF NOT "%BWCONFIGS%empty" == "empty" GOTO DoneQB
-SET BWCONFIGS=%HOME%\bwbuild
-GOTO doneQB
-
-:checkBwConfig
-REM IF "%BWCONFIGS%empty" == "empty" GOTO doneQB
-REM ECHO *******************************************************
-REM ECHO Error: Cannot specIFy both -quickstart and -bwchome
-REM ECHO *******************************************************
-REM GOTO:EOF
-
- SET BWCONFIGS=%QUICKSTART_HOME%\bedework\config\bwbuild
-
-:doneQB
- SET BEDEWORK_CONFIGS_HOME=%BWCONFIGS%
- SET BEDEWORK_CONFIG=%BWCONFIGS%\%bwc%
-
- IF EXIST "%BEDEWORK_CONFIG%\build.properties" GOTO foundBuildProperties
- ECHO *******************************************************
- ECHO Error: Configuration %BEDEWORK_CONFIG% does not exist or is not a bedework configuration.
- ECHO *******************************************************
- GOTO:EOF
-:foundBuildProperties
-
- IF NOT "%JAVA_HOME%empty"=="empty" GOTO javaOk
- ECHO *******************************************************
- ECHO Error: JAVA_HOME is not defined correctly for bedework.
- ECHO *******************************************************
- GOTO:EOF
-:javaOk
-
-:runBedework
- :: Make available for ant
- SET BWCONFIG=-Dorg.bedework.user.build.properties=%BEDEWORK_CONFIG%\build.properties
-
- ECHO.
- ECHO BWCONFIGS = %BWCONFIGS%
- ECHO BWCONFIG = %BWCONFIG%
- ECHO.
-
- SET ANT_HOME=%QUICKSTART_HOME%\apache-ant-1.7.0
-
- SET CLASSPATH="%ANT_HOME%\lib\ant-launcher.jar"
-
- "%JAVA_HOME%\bin\java.exe" -classpath %CLASSPATH% %offline% -Dant.home=%ANT_HOME% org.apache.tools.ant.launch.Launcher %BWCONFIG% %1
-
- GOTO:EOF
-
-
-:: Iterate over the command line arguments;
-:: DOS Batch labels can't contain hyphens, so convert them
-:: (otherwise, we could just "GOTO %1")
-:branch
-IF "%1" == "-quickstart" GOTO quickstart
-IF "%1" == "-bwchome" GOTO bwchome
-IF "%1" == "-bwc" GOTO bwc
-IF "%1" == "-offline" GOTO offline
-GOTO doneWithArgs
-
-:usage
- ECHO Usage:
- ECHO.
- ECHO %0 [ -quickstart OR -bwchome path ] [ -bwc configname ] [ -offline ] [ target ]
- ECHO.
- ECHO -quickstart Use the current quickstart configurations.
- ECHO -bwchome Specify path to configurations
- ECHO -bwc Specify configuration name
- ECHO -offline Build without atempting to retrieve library jars
- ECHO target Ant target to execute
- ECHO.
- ECHO Invokes ant to build or deploy the bedework system. Uses a configuration
- ECHO directory which contains one directory per configuration.
- ECHO.
- ECHO Within each configuration directory we expect a file called
- ECHO build.properties which should point to the property and options file
- ECHO needed for the deploy process.
- ECHO.
- ECHO In general these files will be in the same directory as build.properties.
- ECHO The environment variable BEDEWORK_CONFIG contains the path to the current
- ECHO configuration directory and can be used to build a path to the other files.
- ECHO.
- ECHO.
Deleted: trunk/build/quickstart/addgroup
===================================================================
--- trunk/build/quickstart/addgroup 2008-10-30 21:24:43 UTC (rev 1942)
+++ trunk/build/quickstart/addgroup 2008-11-03 02:30:43 UTC (rev 1943)
@@ -1,66 +0,0 @@
-#! /bin/sh
-
-#
-# This file is included by the quickstart script file "addgroup" so that it can live
-# within the svn repository.
-#
-
-ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
-ANT_HOME=`cd "$ANT_HOME" && pwd`
-
-usage() {
- echo " $PRG help | ? | group groupmember"
- echo ""
- echo " Invokes ant to build the bedework tools then uses that tool to add"
- echo " a group to the directory."
- echo ""
- echo " The first group member is required"
- echo ""
-}
-
-errorUsage() {
- echo "*******************************************************"
- echo "Error: $1"
- echo "*******************************************************"
- usage
- exit 1
-}
-
-saveddir=`pwd`
-
-export QUICKSTART_HOME=$saveddir
-
-# Default some parameters
-
-group=$1
-groupmember=$2
-
-if [ "$group" = "help" -o "$group" = "?" ] ; then
- usage
- exit
-fi
-
-if [ "$group" = "" -o "$groupmember" = "" ] ; then
- errorUsage "Must supply group name and group member"
-fi
-
-if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
- echo "*******************************************************"
- echo "Error: JAVA_HOME is not defined correctly for bedework."
- echo "*******************************************************"
- exit 1
-fi
-
-CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
-
-ant_home_def="-Dant.home=$ANT"
-ant_class_def="org.apache.tools.ant.launch.Launcher"
-
-addgroup_defs="-Dorg.bedework.adduser.group=$group"
-addgroup_defs="$addgroup_defs -Dorg.bedework.adduser.group.member=$groupmember"
-
-$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $addgroup_defs $ant_class_def addGroup
-
-
-
-
Deleted: trunk/build/quickstart/addgroupmember
===================================================================
--- trunk/build/quickstart/addgroupmember 2008-10-30 21:24:43 UTC (rev 1942)
+++ trunk/build/quickstart/addgroupmember 2008-11-03 02:30:43 UTC (rev 1943)
@@ -1,60 +0,0 @@
-#! /bin/sh
-
-#
-# This file is included by the quickstart script file "addgroupmember" so that
-# it can live within the svn repository.
-#
-
-ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
-ANT_HOME=`cd "$ANT_HOME" && pwd`
-
-usage() {
- echo " $PRG help | ? | group account"
- echo ""
- echo " Invokes ant to build the bedework tools then uses that tool to add"
- echo " a group member to the given group in the directory."
- echo ""
-}
-
-errorUsage() {
- echo "*******************************************************"
- echo "Error: $1"
- echo "*******************************************************"
- usage
- exit 1
-}
-
-saveddir=`pwd`
-
-export QUICKSTART_HOME=$saveddir
-
-# Default some parameters
-
-group=$1
-groupmember=$2
-
-if [ "$group" = "help" -o "$group" = "?" ] ; then
- usage
- exit
-fi
-
-if [ "$group" = "" -o "$groupmember" = "" ] ; then
- errorUsage "Must supply group name and group member"
-fi
-
-if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
- echo "*******************************************************"
- echo "Error: JAVA_HOME is not defined correctly for bedework."
- echo "*******************************************************"
- exit 1
-fi
-
-CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
-
-ant_home_def="-Dant.home=$ANT"
-ant_class_def="org.apache.tools.ant.launch.Launcher"
-
-addgroup_defs="-Dorg.bedework.adduser.group=$group"
-addgroup_defs="$addgroup_defs -Dorg.bedework.adduser.group.member=$groupmember"
-
-$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $addgroup_defs $ant_class_def addGroupMember
Deleted: trunk/build/quickstart/adduser
===================================================================
--- trunk/build/quickstart/adduser 2008-10-30 21:24:43 UTC (rev 1942)
+++ trunk/build/quickstart/adduser 2008-11-03 02:30:43 UTC (rev 1943)
@@ -1,101 +0,0 @@
-#! /bin/sh
-
-#
-# This file is included by the quickstart script file "adduser" so that it can live
-# within the svn repository.
-#
-
-ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
-ANT_HOME=`cd "$ANT_HOME" && pwd`
-
-usage() {
- echo " $PRG help | ? | account firstname lastname [password]"
- echo ""
- echo " Invokes ant to build the bedework tools then uses that tool to add"
- echo " an account in the directory."
- echo ""
- echo " firstname and lastname are required"
- echo ""
- echo " If the password is not supplied you will be prompted for the password."
- echo ""
-}
-
-errorUsage() {
- echo "*******************************************************"
- echo "Error: $1"
- echo "*******************************************************"
- usage
- exit 1
-}
-
-saveddir=`pwd`
-
-export QUICKSTART_HOME=$saveddir
-
-# Default some parameters
-
-account=$1
-firstname=$2
-lastname=$3
-password=$4
-
-if [ "$account" = "help" -o "$account" = "?" ] ; then
- usage
- exit
-fi
-
-if [ "$account" = "" ] ; then
- errorUsage "Must supply account, first name and last name"
-fi
-
-if [ "$firstname" = "" ] ; then
- errorUsage "Must supply account, first name and last name"
-fi
-
-if [ "$lastname" = "" ] ; then
- errorUsage "Must supply account, first name and last name"
-fi
-
-while [ "$password" = "" ]
-do
- echo "Password: "
-
- stty -echo
- read npassword
- stty echo
-
- echo "Reenter password: "
-
- stty -echo
- read checkpassword
- stty echo
-
- if [ "$npassword" != "$checkpassword" ] ; then
- echo "Passwords do not match/"
- else
- password=npassword
- fi
-done
-
-if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
- echo "*******************************************************"
- echo "Error: JAVA_HOME is not defined correctly for bedework."
- echo "*******************************************************"
- exit 1
-fi
-
-CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
-
-ant_home_def="-Dant.home=$ANT"
-ant_class_def="org.apache.tools.ant.launch.Launcher"
-
-adduser_defs="-Dorg.bedework.adduser.account=$account"
-adduser_defs="$adduser_defs -Dorg.bedework.adduser.firstname=$firstname"
-adduser_defs="$adduser_defs -Dorg.bedework.adduser.lastname=$lastname"
-adduser_defs="$adduser_defs -Dorg.bedework.adduser.password=$password"
-
-$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $adduser_defs $ant_class_def addUser
-
-
-
-
Deleted: trunk/build/quickstart/initdir
===================================================================
--- trunk/build/quickstart/initdir 2008-10-30 21:24:43 UTC (rev 1942)
+++ trunk/build/quickstart/initdir 2008-11-03 02:30:43 UTC (rev 1943)
@@ -1,43 +0,0 @@
-#! /bin/sh
-
-#
-# This file is included by the quickstart script file "initdir" so that it can live
-# within the svn repository.
-#
-
-ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
-ANT_HOME=`cd "$ANT_HOME" && pwd`
-
-usage() {
- echo " $PRG help | ? "
- echo ""
- echo " Invokes ant to build the bedework tools then uses that tool to "
- echo " initialise the directory."
- echo ""
-}
-
-errorUsage() {
- echo "*******************************************************"
- echo "Error: $1"
- echo "*******************************************************"
- usage
- exit 1
-}
-
-saveddir=`pwd`
-
-export QUICKSTART_HOME=$saveddir
-
-if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
- echo "*******************************************************"
- echo "Error: JAVA_HOME is not defined correctly for bedework."
- echo "*******************************************************"
- exit 1
-fi
-
-CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
-
-ant_home_def="-Dant.home=$ANT"
-ant_class_def="org.apache.tools.ant.launch.Launcher"
-
-$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $ant_class_def initDir
Copied: trunk/build/quickstart/linux/addgroup (from rev 1942, trunk/build/quickstart/addgroup)
===================================================================
--- trunk/build/quickstart/linux/addgroup (rev 0)
+++ trunk/build/quickstart/linux/addgroup 2008-11-03 02:30:43 UTC (rev 1943)
@@ -0,0 +1,66 @@
+#! /bin/sh
+
+#
+# This file is included by the quickstart script file "addgroup" so that it can live
+# within the svn repository.
+#
+
+ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
+ANT_HOME=`cd "$ANT_HOME" && pwd`
+
+usage() {
+ echo " $PRG help | ? | group groupmember"
+ echo ""
+ echo " Invokes ant to build the bedework tools then uses that tool to add"
+ echo " a group to the directory."
+ echo ""
+ echo " The first group member is required"
+ echo ""
+}
+
+errorUsage() {
+ echo "*******************************************************"
+ echo "Error: $1"
+ echo "*******************************************************"
+ usage
+ exit 1
+}
+
+saveddir=`pwd`
+
+export QUICKSTART_HOME=$saveddir
+
+# Default some parameters
+
+group=$1
+groupmember=$2
+
+if [ "$group" = "help" -o "$group" = "?" ] ; then
+ usage
+ exit
+fi
+
+if [ "$group" = "" -o "$groupmember" = "" ] ; then
+ errorUsage "Must supply group name and group member"
+fi
+
+if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
+ echo "*******************************************************"
+ echo "Error: JAVA_HOME is not defined correctly for bedework."
+ echo "*******************************************************"
+ exit 1
+fi
+
+CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
+
+ant_home_def="-Dant.home=$ANT"
+ant_class_def="org.apache.tools.ant.launch.Launcher"
+
+addgroup_defs="-Dorg.bedework.adduser.group=$group"
+addgroup_defs="$addgroup_defs -Dorg.bedework.adduser.group.member=$groupmember"
+
+$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $addgroup_defs $ant_class_def addGroup
+
+
+
+
Property changes on: trunk/build/quickstart/linux/addgroup
___________________________________________________________________
Name: svn:mergeinfo
+
Copied: trunk/build/quickstart/linux/addgroupmember (from rev 1942, trunk/build/quickstart/addgroupmember)
===================================================================
--- trunk/build/quickstart/linux/addgroupmember (rev 0)
+++ trunk/build/quickstart/linux/addgroupmember 2008-11-03 02:30:43 UTC (rev 1943)
@@ -0,0 +1,60 @@
+#! /bin/sh
+
+#
+# This file is included by the quickstart script file "addgroupmember" so that
+# it can live within the svn repository.
+#
+
+ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
+ANT_HOME=`cd "$ANT_HOME" && pwd`
+
+usage() {
+ echo " $PRG help | ? | group account"
+ echo ""
+ echo " Invokes ant to build the bedework tools then uses that tool to add"
+ echo " a group member to the given group in the directory."
+ echo ""
+}
+
+errorUsage() {
+ echo "*******************************************************"
+ echo "Error: $1"
+ echo "*******************************************************"
+ usage
+ exit 1
+}
+
+saveddir=`pwd`
+
+export QUICKSTART_HOME=$saveddir
+
+# Default some parameters
+
+group=$1
+groupmember=$2
+
+if [ "$group" = "help" -o "$group" = "?" ] ; then
+ usage
+ exit
+fi
+
+if [ "$group" = "" -o "$groupmember" = "" ] ; then
+ errorUsage "Must supply group name and group member"
+fi
+
+if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
+ echo "*******************************************************"
+ echo "Error: JAVA_HOME is not defined correctly for bedework."
+ echo "*******************************************************"
+ exit 1
+fi
+
+CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
+
+ant_home_def="-Dant.home=$ANT"
+ant_class_def="org.apache.tools.ant.launch.Launcher"
+
+addgroup_defs="-Dorg.bedework.adduser.group=$group"
+addgroup_defs="$addgroup_defs -Dorg.bedework.adduser.group.member=$groupmember"
+
+$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $addgroup_defs $ant_class_def addGroupMember
Property changes on: trunk/build/quickstart/linux/addgroupmember
___________________________________________________________________
Name: svn:mergeinfo
+
Copied: trunk/build/quickstart/linux/adduser (from rev 1942, trunk/build/quickstart/adduser)
===================================================================
--- trunk/build/quickstart/linux/adduser (rev 0)
+++ trunk/build/quickstart/linux/adduser 2008-11-03 02:30:43 UTC (rev 1943)
@@ -0,0 +1,97 @@
+#! /bin/sh
+
+#
+# This file is included by the quickstart script file "bwadduser" so that it can live
+# within the svn repository.
+#
+
+ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
+ANT_HOME=`cd "$ANT_HOME" && pwd`
+
+usage() {
+ echo " $PRG help | ? | account firstname lastname [password]"
+ echo ""
+ echo " Invokes ant to build the bedework tools then uses that tool to add"
+ echo " an account in the directory."
+ echo ""
+ echo " firstname and lastname are required"
+ echo ""
+ echo " If the password is not supplied you will be prompted for the password."
+ echo ""
+}
+
+errorUsage() {
+ echo "*******************************************************"
+ echo "Error: $1"
+ echo "*******************************************************"
+ usage
+ exit 1
+}
+
+saveddir=`pwd`
+
+export QUICKSTART_HOME=$saveddir
+
+# Default some parameters
+
+account=$1
+firstname=$2
+lastname=$3
+password=$4
+
+if [ "$account" = "help" -o "$account" = "?" ] ; then
+ usage
+ exit
+fi
+
+if [ "$account" = "" ] ; then
+ errorUsage "Must supply account, first name and last name"
+fi
+
+if [ "$firstname" = "" ] ; then
+ errorUsage "Must supply account, first name and last name"
+fi
+
+if [ "$lastname" = "" ] ; then
+ errorUsage "Must supply account, first name and last name"
+fi
+
+while [ "$password" = "" ]
+do
+ echo "Password: "
+
+ stty -echo
+ read npassword
+ stty echo
+
+ echo "Reenter password: "
+
+ stty -echo
+ read checkpassword
+ stty echo
+
+ if [ "$npassword" != "$checkpassword" ] ; then
+ echo "Passwords do not match/"
+ else
+ password=npassword
+ fi
+done
+
+if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
+ echo "*******************************************************"
+ echo "Error: JAVA_HOME is not defined correctly for bedework."
+ echo "*******************************************************"
+ exit 1
+fi
+
+CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
+
+ant_home_def="-Dant.home=$ANT"
+ant_class_def="org.apache.tools.ant.launch.Launcher"
+
+adduser_defs="-Dorg.bedework.adduser.account=$account"
+adduser_defs="$adduser_defs -Dorg.bedework.adduser.firstname=$firstname"
+adduser_defs="$adduser_defs -Dorg.bedework.adduser.lastname=$lastname"
+adduser_defs="$adduser_defs -Dorg.bedework.adduser.password=$password"
+
+$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $adduser_defs $ant_class_def addUser
Property changes on: trunk/build/quickstart/linux/adduser
___________________________________________________________________
Name: svn:mergeinfo
+
Copied: trunk/build/quickstart/linux/bw (from rev 1942, trunk/build/bw)
===================================================================
--- trunk/build/quickstart/linux/bw (rev 0)
+++ trunk/build/quickstart/linux/bw 2008-11-03 02:30:43 UTC (rev 1943)
@@ -0,0 +1,133 @@
+#! /bin/sh
+
+#
+# This file is included by the quickstart script file "bw" so that it can live
+# within the svn repository.
+#
+
+ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
+ANT_HOME=`cd "$ANT_HOME" && pwd`
+
+echo ""
+echo ""
+echo " Bedework Calendar System"
+echo " ------------------------"
+echo ""
+
+PRG="$0"
+
+usage() {
+ echo " $PRG [ -quickstart | -bwchome path ] [ -bwc configname ] [ -offline } [ target ] "
+ echo ""
+ echo " -quickstart Use the current quickstart configurations "
+ echo " -bwchome Specify path to configurations"
+ echo " -bwc Specify configuration name"
+ echo " -offline Build without atempting to retrieve library jars"
+ echo " target Ant target to execute"
+ echo ""
+ echo " Invokes ant to build or deploy the bedework system. Uses a configuration"
+ echo " directory which contains one directory per configuration."
+ echo ""
+ echo " Within each configuration directory we expect a file called build.properties"
+ echo " which should point to the property and options file needed for the deploy process"
+ echo ""
+ echo " In general these files will be in the same directory as build.properties."
+ echo " The environment variable BEDEWORK_CONFIG contains the path to the current"
+ echo " configuration directory and can be used to build a path to the other files."
+ echo ""
+}
+
+errorUsage() {
+ echo "*******************************************************"
+ echo "Error: $1"
+ echo "*******************************************************"
+ usage
+ exit 1
+}
+
+saveddir=`pwd`
+
+export QUICKSTART_HOME=$saveddir
+
+# Default some parameters
+
+BWCONFIGS=
+bwc=default
+BWCONFIG=
+offline=
+quickstart=
+
+if [ "$1" = "" ] ; then
+ usage
+ exit 1
+fi
+
+while [ "$1" != "" ]
+do
+ # Process the next arg
+ case $1 # Look at $1
+ in
+ -bwchome) # Define location of configs
+ shift
+ BWCONFIGS="$1"
+ shift
+ ;;
+ -quickstart)
+ quickstart="yes"
+ shift
+ ;;
+ -usage | -help | -? | ?)
+ usage
+ exit
+ shift
+ ;;
+ -bwc)
+ shift
+ bwc="$1"
+ shift
+ ;;
+ -offline)
+ offline="-Dorg.bedework.offline.build=yes"
+ shift
+ ;;
+ -*)
+ usage
+ exit 1
+ ;;
+ *)
+ # Assume we've reached the target(s)
+ break
+ ;;
+ esac
+done
+
+if [ "$quickstart" != "" ] ; then
+ if [ "$BWCONFIGS" != "" ] ; then
+ errorUsage "Cannot specify both -quickstart and -bwchome"
+ fi
+
+ BWCONFIGS=$QUICKSTART_HOME/bedework/config/bwbuild
+elif [ "$BWCONFIGS" = "" ] ; then
+ BWCONFIGS=$HOME/bwbuild
+fi
+
+export BEDEWORK_CONFIGS_HOME=$BWCONFIGS
+export BEDEWORK_CONFIG=$BWCONFIGS/$bwc
+
+if [ ! -f "$BEDEWORK_CONFIG/build.properties" ] ; then
+ errorUsage "Configuration $BEDEWORK_CONFIG does not exist or is not a bedework configuration."
+fi
+
+if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
+ errorUsage "JAVA_HOME is not defined correctly for bedework."
+fi
+
+# Make available for ant
+export BWCONFIG="-Dorg.bedework.user.build.properties=$BEDEWORK_CONFIG/build.properties"
+
+echo "BWCONFIGS=$BWCONFIGS"
+echo "BWCONFIG=$BWCONFIG"
+
+CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
+
+$JAVA_HOME/bin/java -classpath $CLASSPATH $offline -Dant.home=$ANT org.apache.tools.ant.launch.Launcher $BWCONFIG $*
Property changes on: trunk/build/quickstart/linux/bw
___________________________________________________________________
Name: svn:executable
+ *
Name: svn:mergeinfo
+
Copied: trunk/build/quickstart/linux/initdir (from rev 1942, trunk/build/quickstart/initdir)
===================================================================
--- trunk/build/quickstart/linux/initdir (rev 0)
+++ trunk/build/quickstart/linux/initdir 2008-11-03 02:30:43 UTC (rev 1943)
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+#
+# This file is included by the quickstart script file "initdir" so that it can live
+# within the svn repository.
+#
+
+ANT_HOME=`dirname "$PRG"`/apache-ant-1.7.0
+ANT_HOME=`cd "$ANT_HOME" && pwd`
+
+usage() {
+ echo " $PRG help | ? "
+ echo ""
+ echo " Invokes ant to build the bedework tools then uses that tool to "
+ echo " initialise the directory."
+ echo ""
+}
+
+errorUsage() {
+ echo "*******************************************************"
+ echo "Error: $1"
+ echo "*******************************************************"
+ usage
+ exit 1
+}
+
+saveddir=`pwd`
+
+export QUICKSTART_HOME=$saveddir
+
+if [ -z "$JAVA_HOME" -o ! -d "$JAVA_HOME" ] ; then
+ echo "*******************************************************"
+ echo "Error: JAVA_HOME is not defined correctly for bedework."
+ echo "*******************************************************"
+ exit 1
+fi
+
+CLASSPATH=$ANT_HOME/lib/ant-launcher.jar
+
+ant_home_def="-Dant.home=$ANT"
+ant_class_def="org.apache.tools.ant.launch.Launcher"
+
+$JAVA_HOME/bin/java -classpath $CLASSPATH $ant_home_def $ant_class_def initDir
Property changes on: trunk/build/quickstart/linux/initdir
___________________________________________________________________
Name: svn:mergeinfo
+
Copied: trunk/build/quickstart/windows/bw.bat (from rev 1942, trunk/build/bw.bat)
===================================================================
--- trunk/build/quickstart/windows/bw.bat (rev 0)
+++ trunk/build/quickstart/windows/bw.bat 2008-11-03 02:30:43 UTC (rev 1943)
@@ -0,0 +1,138 @@
+:: This file is included by the quickstart script file "..\..\bw.bat" so that
+:: we may keep this script under version control in the svn repository.
+
+ at ECHO off
+SETLOCAL
+
+ECHO.
+ECHO.
+ECHO Bedework Calendar System
+ECHO ------------------------
+ECHO.
+
+
+SET PRG=%0
+SET saveddir=%CD%
+SET QUICKSTART_HOME=%saveddir%
+
+:: Default some parameters
+SET BWCONFIGS=
+SET bwc=default
+SET BWCONFIG=
+SET offline=
+SET quickstart=
+
+:: check for command-line arguments and branch on them
+IF "%1noargs" == "noargs" GOTO usage
+GOTO branch
+
+:quickstart
+ ECHO Preparing quickstart build ...
+ SET quickstart="yes"
+ SHIFT
+ GOTO branch
+
+:bwchome
+ :: Define location of configs
+ SHIFT
+ SET BWCONFIGS=%1
+ SHIFT
+ GOTO branch
+
+:bwc
+ SHIFT
+ SET bwc=%1
+ SHIFT
+ GOTO branch
+
+:offline
+ ECHO Setting to offline mode; libraries will not be downloaded ...
+ SET offline="-Dorg.bedework.offline.build=yes"
+ SHIFT
+ GOTO branch
+
+:doneWithArgs
+
+IF NOT "%quickstart%empty" == "empty" GOTO checkBwConfig
+IF NOT "%BWCONFIGS%empty" == "empty" GOTO DoneQB
+SET BWCONFIGS=%HOME%\bwbuild
+GOTO doneQB
+
+:checkBwConfig
+REM IF "%BWCONFIGS%empty" == "empty" GOTO doneQB
+REM ECHO *******************************************************
+REM ECHO Error: Cannot specIFy both -quickstart and -bwchome
+REM ECHO *******************************************************
+REM GOTO:EOF
+
+ SET BWCONFIGS=%QUICKSTART_HOME%\bedework\config\bwbuild
+
+:doneQB
+ SET BEDEWORK_CONFIGS_HOME=%BWCONFIGS%
+ SET BEDEWORK_CONFIG=%BWCONFIGS%\%bwc%
+
+ IF EXIST "%BEDEWORK_CONFIG%\build.properties" GOTO foundBuildProperties
+ ECHO *******************************************************
+ ECHO Error: Configuration %BEDEWORK_CONFIG% does not exist or is not a bedework configuration.
+ ECHO *******************************************************
+ GOTO:EOF
+:foundBuildProperties
+
+ IF NOT "%JAVA_HOME%empty"=="empty" GOTO javaOk
+ ECHO *******************************************************
+ ECHO Error: JAVA_HOME is not defined correctly for bedework.
+ ECHO *******************************************************
+ GOTO:EOF
+:javaOk
+
+:runBedework
+ :: Make available for ant
+ SET BWCONFIG=-Dorg.bedework.user.build.properties=%BEDEWORK_CONFIG%\build.properties
+
+ ECHO.
+ ECHO BWCONFIGS = %BWCONFIGS%
+ ECHO BWCONFIG = %BWCONFIG%
+ ECHO.
+
+ SET ANT_HOME=%QUICKSTART_HOME%\apache-ant-1.7.0
+
+ SET CLASSPATH="%ANT_HOME%\lib\ant-launcher.jar"
+
+ "%JAVA_HOME%\bin\java.exe" -classpath %CLASSPATH% %offline% -Dant.home=%ANT_HOME% org.apache.tools.ant.launch.Launcher %BWCONFIG% %1
+
+ GOTO:EOF
+
+
+:: Iterate over the command line arguments;
+:: DOS Batch labels can't contain hyphens, so convert them
+:: (otherwise, we could just "GOTO %1")
+:branch
+IF "%1" == "-quickstart" GOTO quickstart
+IF "%1" == "-bwchome" GOTO bwchome
+IF "%1" == "-bwc" GOTO bwc
+IF "%1" == "-offline" GOTO offline
+GOTO doneWithArgs
+
+:usage
+ ECHO Usage:
+ ECHO.
+ ECHO %0 [ -quickstart OR -bwchome path ] [ -bwc configname ] [ -offline ] [ target ]
+ ECHO.
+ ECHO -quickstart Use the current quickstart configurations.
+ ECHO -bwchome Specify path to configurations
+ ECHO -bwc Specify configuration name
+ ECHO -offline Build without atempting to retrieve library jars
+ ECHO target Ant target to execute
+ ECHO.
+ ECHO Invokes ant to build or deploy the bedework system. Uses a configuration
+ ECHO directory which contains one directory per configuration.
+ ECHO.
+ ECHO Within each configuration directory we expect a file called
+ ECHO build.properties which should point to the property and options file
+ ECHO needed for the deploy process.
+ ECHO.
+ ECHO In general these files will be in the same directory as build.properties.
+ ECHO The environment variable BEDEWORK_CONFIG contains the path to the current
+ ECHO configuration directory and can be used to build a path to the other files.
+ ECHO.
+ ECHO.
Property changes on: trunk/build/quickstart/windows/bw.bat
___________________________________________________________________
Name: svn:mergeinfo
+
More information about the Bedework-commit
mailing list